
#include "GUI.h"

/*********************************************************************
*
*       Static data
*
**********************************************************************
*/
static GUI_POINT _aPoints[] = {
  { 10, 10 },
  { 20, 40 },
  { 30, 100 },
  { 40, 80 },
  { 50, 120 },
  { 60, 20 },
  { 70, 60 },
  { 80, 70 },
  { 90, 10 },
  { 100, 30 },
};

/*********************************************************************
*
*       Static code
*
**********************************************************************
*/
/*********************************************************************
*
*       _DrawGraphAA
*/
static void _DrawGraphAA(GUI_POINT * pa, int NumItems) {
  GUI_POINT * pCurrent;
  GUI_POINT * pNext;
  int         i;

  for (i = 0; i < NumItems - 1; i++) {
    pCurrent = (pa + i);
    pNext    = (pa + i + 1);
    GUI_AA_DrawLine(pCurrent->x, pCurrent->y, pNext->x, pNext->y);
  }
}

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       MainTask
*/
void MainTask(void) {
  GUI_Init();
  GUI_AA_SetFactor(6);
  GUI_SetPenSize(2);
  GUI_SetBkColor(GUI_WHITE);
  GUI_Clear();
  GUI_SetColor(GUI_BLACK);
  _DrawGraphAA(_aPoints, GUI_COUNTOF(_aPoints));

  while (1) {
    GUI_Delay(100);
  }
}
